'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  let environment = _ref.environment;
  const NODE_ENV = process.env.NODE_ENV;

  const defaultEnv = process.argv.includes('watch') ? 'development' : 'production';
  const env = environment.env || NODE_ENV || defaultEnv;
  const isDev = env === 'development';
  const rootDir = _path2.default.resolve(__dirname, '..', '..');
  const isLocalDev = _path2.default.basename(rootDir) === 'packages';
  const assetPath = isDev ? '/' : '/'; // enter CDN paths here that vary with environment

  return Object.assign({}, environment, {
    assetPath,
    env,
    isDev,
    isLocalDev
  });
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports['default'];

/**
 * Make the environment
 * @param {String} environment enviromental config
 * @return {Object}
 */