'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  let opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  var _opts$environment = opts.environment;
  const environment = _opts$environment === undefined ? {} : _opts$environment;
  var _opts$sources = opts.sources;
  const sources = _opts$sources === undefined ? {} : _opts$sources;
  var _opts$utils = opts.utils;
  const utils = _opts$utils === undefined ? {} : _opts$utils;


  return {
    environment: (0, _environment2.default)({ environment }),
    sources: (0, _config2.default)({ sources }),
    utils: (0, _utils2.default)({ utils })
  };
};

var _environment = require('./environment');

var _environment2 = _interopRequireDefault(_environment);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports['default'];

/**
 * Construct a `config` Object to get passed around to all Gulp tasks
 * @param {Object} opts options
 * @param {Object} opts.env mixin for enivironment
 * @param {Object} opts.sources mixin for config
 * @param {Object} opts.utils mixin for utils
 * @return {Object} config Object with `sources`, `environment`, and `utils` keys
 */